## mcu8051ide 1.3.7

=== CMakeLists.txt ===
PROJECT(mcu8051ide)

#
# INITIALIZE
#

CMAKE_MINIMUM_REQUIRED(VERSION 2.4.2)
SET(CMAKE_BUILD_TYPE None)
SET(CMAKE_COLOR_MAKEFILE ON)
SET(CMAKE_VERBOSE_MAKEFILE ON)
SET(CMAKE_INCLUDE_CURRENT_DIR TRUE)

# target directory (for data files)
SET(target_installation_directory /usr/share/mcu8051ide)

#
# CONFIGURE
#

MESSAGE("Check for Tcl Interpreter")
FIND_PACKAGE(TCL)
IF(NOT TCL_FOUND)
	MESSAGE("!!! TCL interpreter not found !!!")
ENDIF(NOT TCL_FOUND)

FOREACH(library
	"BWidget	1.8"
	"Itcl		3.4"
	"Tcl		8.5"
	"md5		2.0"
	"Tk		8.5"
	"img::png	1.3"
	"tdom		0.8"
	"Tclx		8.4"
)
	STRING(REGEX REPLACE "\t+.*$" "" library_name ${library})
	MESSAGE("Check for ${library_name}")

	EXECUTE_PROCESS(
		COMMAND "./test-lib.sh ${library}"
		RESULT_VARIABLE library_found
	)

	IF(NOT library_found)
		MESSAGE(FATAL_ERROR "Unable to find library: ${library}")
	ENDIF(NOT library_found)

ENDFOREACH(library)


#
# BUILD
#

# create launcher
FILE(WRITE mcu8051ide
	"#!/bin/sh\n"
	"exec tclsh ${target_installation_directory}/lib/main.tcl \"$@\"\n"
)

#
# INSTALL
#

# Install icons
FOREACH(subdir mcu other 16x16 22x22 32x32)
	FILE(GLOB_RECURSE icons icons/${subdir}/*.png)
	INSTALL(FILES ${icons} DESTINATION ${target_installation_directory}/icons/${subdir})
ENDFOREACH(subdir)

# Install source code files
FOREACH(subdir . bottompanel compiler configdialogs dialogs editor leftpanel lib pale rightpanel simulator simulator/engine utilities)
	FILE(GLOB lib lib/${subdir}/*.tcl)
	INSTALL(FILES ${lib} DESTINATION ${target_installation_directory}/lib/${subdir})
ENDFOREACH(subdir)

# Install documentation files
FOREACH(subdir handbook)
	FILE(GLOB doc doc/${subdir}/*)
	INSTALL(FILES ${doc} DESTINATION ${target_installation_directory}/doc/${subdir})
ENDFOREACH(subdir)

# Install manual page(s)
FILE(GLOB man doc/man/*)
INSTALL(FILES ${man} DESTINATION /usr/share/man/man1)

# Install demonstration project files
FILE(GLOB demo demo/*)
INSTALL(FILES ${demo} DESTINATION ${target_installation_directory}/demo)

# Install data files
FILE(GLOB data data/*)
INSTALL(FILES ${data} DESTINATION ${target_installation_directory}/data)

# Install translation files
FILE(GLOB translations translations/*)
INSTALL(FILES ${translations} DESTINATION ${target_installation_directory}/translations)

# Incstall .desktop spec and application icon
INSTALL(FILES mcu8051ide.png DESTINATION /usr/share/pixmaps/)
INSTALL(FILES mcu8051ide.desktop DESTINATION /usr/share/applications/)

# Install launcher
INSTALL(
	FILES mcu8051ide
	DESTINATION /usr/bin
	PERMISSIONS
		WORLD_EXECUTE WORLD_READ
		OWNER_WRITE OWNER_READ OWNER_EXECUTE
		GROUP_EXECUTE GROUP_READ
)

# Install misc. files
INSTALL(
	FILES ChangeLog LICENSE TODO
	DESTINATION ${target_installation_directory}
)

=== debian/changelog ===
mcu8051ide (1.3.7-1) unstable; urgency=low

  * Initial release (Closes: #546549)
  * This is my first Debian package.

 -- Fabricio Alcalde <f@lcald.com.ar>  Sun, 04 Jul 2010 17:14:04 +0000

=== debian/control ===
Source: mcu8051ide
Section: electronics
Priority: extra
Maintainer: Fabricio Alcalde <f@lcald.com.ar>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.0
Homepage: http://mcu8051ide.sourceforge.net/
#Vcs-Git: git://git.debian.org/collab-maint/mcu8051ide.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/mcu8051ide.git;a=summary

Package: mcu8051ide
Architecture: all
Depends: ${misc:Depends}, bwidget (>= 1.8), itcl3 (>> 3.3), tcl8.5, tcllib, tk8.5, libtk-img, tdom (>= 0.8), tclx8.4
Recommends: sdcc, doxygen
Suggests: rxvt-unicode
Description: Integrated development enviroment for MCS-51 based microcontrollers
 MCU 8051 IDE is a tool for developing programs in assembly or C languages
 (with SDCC) for microcontrollers based on industrial standard MCS-51.
 .
 It consist of editor with syntax highlight, auto completion, syntax validation
 and command line; compiler with support for macro-instructions (even 
 macro in macro); simulator/debugger with small hardware simulation; scientific
 calculator, (rich) text editor for writing to do lists, hexadecimal editor and
 many other tools.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	#Nothing to do
	dh_testdir
	touch build-stamp

binary: binary-arch binary-indep

binary-arch: build
	#Nothing to do

binary-indep: build
	dh_testdir
	dh_testroot
	dh_prep
	
	#Install files
	dh_install -Xlicence
	dh_installdocs
	dh_installmenu
	dh_installman
	dh_installchangelogs
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb	

clean:
	dh_testdir
	dh_testroot
	dh_clean

.PHONY: build clean binary-indep binary-arch binary

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webpage
# <Webpage URL> <string match>
#http://www.example.com/downloads.php mcu8051ide-(.*)\.tar\.gz

# Uncomment to examine a Webserver directory
#http://www.example.com/pub/mcu8051ide-(.*)\.tar\.gz

# Uncommment to examine a FTP server
#ftp://ftp.example.com/pub/mcu8051ide-(.*)\.tar\.gz debian uupdate

# Uncomment to find new files on sourceforge, for devscripts >= 2.9
 http://sf.net/mcu8051ide/mcu8051ide-(.*)\.tar\.gz

# Uncomment to find new files on GooglePages
# http://example.googlepages.com/foo.html mcu8051ide-(.*)\.tar\.gz

## mcu8051ide 1.4.7

=== CMakeLists.txt ===
PROJECT(mcu8051ide "NONE")
SET(mcu8051ide_version 1.4.7)

#
# INITIALIZE
#

CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
SET(CMAKE_BUILD_TYPE None)
SET(CMAKE_COLOR_MAKEFILE ON)
SET(CMAKE_VERBOSE_MAKEFILE ON)
SET(CMAKE_INCLUDE_CURRENT_DIR TRUE)

# target directory (for data files)
SET(target_installation_directory share/mcu8051ide)

#
# PREPARATION
#

# create launcher
FILE(WRITE mcu8051ide
	"#!/bin/sh\n"
	"exec tclsh8.5 ${CMAKE_INSTALL_PREFIX}/${target_installation_directory}/lib/main.tcl \"$@\" || \\\n"
	"\tprintf \"Unable to execute, TCL interpreter is not reachable.\n\" > /dev/stderr"
)

#
# INSTALLATION
#

# Install icons
FOREACH(subdir mcu flag other 16x16 22x22 32x32)
	FILE(GLOB_RECURSE icons icons/${subdir}/*.png)
	INSTALL(FILES ${icons} DESTINATION ${target_installation_directory}/icons/${subdir})
ENDFOREACH(subdir)

# Install source code files
FOREACH(subdir . bottompanel compiler configdialogues dialogues editor leftpanel lib pale rightpanel simulator simulator/engine utilities)
	FILE(GLOB lib lib/${subdir}/*.tcl)
	INSTALL(FILES ${lib} DESTINATION ${target_installation_directory}/lib/${subdir})
ENDFOREACH(subdir)

# Install contents of directory hwplugins
FILE(GLOB file hwplugins/*)
INSTALL(FILES ${file} DESTINATION ${target_installation_directory}/hwplugins)

# Install documentation files
FOREACH(subdir handbook)
	FOREACH(ext pdf)
		FILE(GLOB doc doc/${subdir}/*.${ext})
		INSTALL(FILES ${doc} DESTINATION ${target_installation_directory}/doc/${subdir})
	ENDFOREACH(ext)
ENDFOREACH(subdir)

# Install manual page(s)
FILE(GLOB man doc/man/*)
INSTALL(FILES ${man} DESTINATION share/man/man1)

# Install demonstration project files
FILE(GLOB demo demo/*)
INSTALL(FILES ${demo} DESTINATION ${target_installation_directory}/demo)

# Install data files
FILE(GLOB data data/*)
INSTALL(FILES ${data} DESTINATION ${target_installation_directory}/data)

# Install translation files
FILE(GLOB translations translations/*)
INSTALL(FILES ${translations} DESTINATION ${target_installation_directory}/translations)

# Install .desktop spec and application icon
INSTALL(FILES mcu8051ide.png DESTINATION share/pixmaps/)
INSTALL(FILES mcu8051ide.desktop DESTINATION share/applications/)
INSTALL(FILES application-x-mcu8051ide.xml DESTINATION share/mime/packages/)

# Install launcher
INSTALL(
	FILES mcu8051ide
	DESTINATION bin
	PERMISSIONS
		WORLD_EXECUTE WORLD_READ
		OWNER_WRITE OWNER_READ OWNER_EXECUTE
		GROUP_EXECUTE GROUP_READ
)

# Install misc. files
INSTALL(
	FILES ChangeLog LICENSE
	DESTINATION ${target_installation_directory}
)

=== debian/changelog ===
mcu8051ide (1.4.7-2) unstable; urgency=low

  [ Fabricio Alcalde ]
  * Use tcl-signal instead of tclx.

  [ Andrew Shadura ]
  * Update the launcher script to use Tcl 8.6.
  * Bump the dependencies.

 -- Andrew Shadura <andrewsh@debian.org>  Mon, 05 May 2014 01:22:13 +0200

mcu8051ide (1.4.7-1) unstable; urgency=low

  * New upstream release.
  * Fixed spelling error in manpage.

 -- Fabricio Alcalde <f@lcald.com.ar>  Sat, 27 Apr 2013 15:40:07 +0000

=== debian/control ===
Source: mcu8051ide
Section: electronics
Priority: extra
Maintainer: Fabricio Alcalde <f@lcald.com.ar>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.5
Homepage: http://mcu8051ide.sf.net
#Vcs-Git: git://git.debian.org/collab-maint/mcu8051ide.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/mcu8051ide.git;a=summary

Package: mcu8051ide
Architecture: all
Depends: ${misc:Depends}, bwidget (>= 1.8.0), itcl3, tdom (>= 0.8), tcllib (>= 1.10), tk8.6, tcl-signal, libtk-img
Suggests: rxvt-unicode, sdcc, doxygen, hunspell, make, tclsh
Description: Graphical Integrated Development Environment for 8051
 MCU 8051 IDE is an integrated development environment for microcontrollers
 based on 8051. Supported programming languages are C and assembly. It has
 its own assembler and it supports two other external assemblers. For C 
 language it uses the SDCC compiler.

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://sf.net/mcu8051ide/mcu8051ide-(.*)\.tar\.gz

## mcu8051ide 1.4.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PROJECT(mcu8051ide "NONE")
-SET(mcu8051ide_version 1.4.7)
+SET(mcu8051ide_version 1.4.9)
 
 #
 # INITIALIZE
@@ -21,7 +21,7 @@
 # create launcher
 FILE(WRITE mcu8051ide
 	"#!/bin/sh\n"
-	"exec tclsh8.5 ${CMAKE_INSTALL_PREFIX}/${target_installation_directory}/lib/main.tcl \"$@\" || \\\n"
+	"exec tclsh ${CMAKE_INSTALL_PREFIX}/${target_installation_directory}/lib/main.tcl \"$@\" || \\\n"
 	"\tprintf \"Unable to execute, TCL interpreter is not reachable.\n\" > /dev/stderr"
 )
 
@@ -72,6 +72,7 @@
 # Install .desktop spec and application icon
 INSTALL(FILES mcu8051ide.png DESTINATION share/pixmaps/)
 INSTALL(FILES mcu8051ide.desktop DESTINATION share/applications/)
+INSTALL(FILES mcu8051ide.appdata.xml DESTINATION share/appdata/)
 INSTALL(FILES application-x-mcu8051ide.xml DESTINATION share/mime/packages/)
 
 # Install launcher

=== debian/changelog ===
mcu8051ide (1.4.9-2) unstable; urgency=medium

  * QA upload.

  [ Carlos Henrique Lima Melara ]
  * Use new DH level format. Consequently:
    - debian/compat: removed.
    - debian/control: changed from 'debhelper' to 'debhelper-compat' in
      Build-Depends field and bumped level to 13.
  * debian/README.source: removed. Not needed since we're using CMake now.
  * debian/control:
    - Add 'Rules-Requires-Root: no' to source stanza
    - Add cmake to Build-Depends field
    - Bump Standards-Version to 4.5.0
    - Change Priority from extra to optional
  * debian/copyright: Migrate to 1.0 format and update data.
  * debian/mcu8051ide.install: removed. Not necessary since we're now using the
    build system provided by the upstream.
  * debian/menu: removed. Debian only uses the .desktop file.
  * debian/patches:
    - Add numeric prefixes to all patches.
    - addlaunchscript.patch: removed. The CMakefile provided by the
      upstream already generates the launch script.
    - 010_fix-desktop-file.patch: update description and add Field code.
    - 030_contacts.patch: add patch description.
    - 040_fix-makefile.patch: fix appstream install location and prevent
      the installation of unneeded files.
    - 050_fix-appdata.patch: change the appdata file to comply with the
      new standard.
  * debian/rules: migrate to the new (reduced) format.
  * debian/watch: bump the version to 4.
  * Include typo fixes in gzipped manpage provided by the upstream.

  [ Andrej Shadura ]
  * d/watch: Use https protocol.
  * d/control: Set Vcs-* to salsa.debian.org.
  * Add gbp.conf.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 08 Jul 2020 20:47:19 +0200

mcu8051ide (1.4.9-1) unstable; urgency=medium

  * New upstream release.
  * Install AppData file.
  * Refresh the desktop file patch.
  * Refresh the Signal patch.
  * Add a patch to replace contacts and the website with the working ones.
  * Update the homepage.
  * Update the copyrights.
  * Set Vcs-* to dgit.
  * Make it clear this package is not maintained.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 08 May 2018 17:12:11 +0200

=== debian/control ===
Source: mcu8051ide
Section: electronics
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), cmake (>= 2.6)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://sourceforge.net/projects/mcu8051ide/
Vcs-Git: https://salsa.debian.org/debian/mcu8051ide.git
Vcs-Browser: https://salsa.debian.org/debian/mcu8051ide

Package: mcu8051ide
Architecture: all
Depends: ${misc:Depends}, bwidget (>= 1.8.0), itcl3, tdom (>= 0.8), tcllib (>= 1.10), tk8.6, tcl-signal, libtk-img
Suggests: rxvt-unicode, sdcc, doxygen, hunspell, make, tclsh
Description: Graphical Integrated Development Environment for 8051
 MCU 8051 IDE is an integrated development environment for microcontrollers
 based on 8051. Supported programming languages are C and assembly. It has
 its own assembler and it supports two other external assemblers. For C
 language it uses the SDCC compiler.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@

override_dh_clean:
	dh_clean
	# Removes script created by the makefile
	rm -f mcu8051ide

=== debian/watch ===
version=4
https://sf.net/mcu8051ide/mcu8051ide-(.*)\.tar\.gz
